TaskAttemptFailEvent (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, class: TaskAttemptFailEvent

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Class TaskAttemptFailEvent

java.lang.Object
org.apache.hadoop.yarn.event.AbstractEvent<TaskAttemptEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEvent
org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptFailEvent

All Implemented Interfaces:
  `org.apache.hadoop.yarn.event.Event<TaskAttemptEventType>`

public class TaskAttemptFailEvent extends TaskAttemptEvent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptFailEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id)`
  Create a new TaskAttemptFailEvent, with task fastFail disabled.
  `TaskAttemptFailEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, boolean fastFail)`
  Create a new TaskAttemptFailEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isFastFail()`
  Check if task should fast fail or retry

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEvent

  `getTaskAttemptID`

  ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

  `getTimestamp, getType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskAttemptFailEvent

    public TaskAttemptFailEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id)
    Create a new TaskAttemptFailEvent, with task fastFail disabled.
    Parameters:
      `id` - the id of the task attempt

  - ### TaskAttemptFailEvent

    public TaskAttemptFailEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, boolean fastFail)
    Create a new TaskAttemptFailEvent.
    Parameters:
      `id` - the id of the task attempt
      `fastFail` - should the task fastFail or not.

- ## Method Details

  - ### isFastFail

    public boolean isFastFail()
    Check if task should fast fail or retry
    Returns:
      boolean value where true indicates the task should not retry